import { CredentialExchangeRecord } from '@credo-ts/core';
import { BrandingOverlay } from '@hyperledger/aries-oca';
import { Attribute, BrandingOverlayType, CredentialOverlay, Predicate } from '@hyperledger/aries-oca/build/legacy';
import React from 'react';
import { ViewStyle } from 'react-native';
import { GenericFn } from '../../types/fn';
export declare enum CredentialErrors {
    Revoked = 0,// Credential has been revoked
    NotInWallet = 1,// Credential requested for proof does not exists in users wallet
    PredicateError = 2
}
interface CredentialCard11Props {
    credential?: CredentialExchangeRecord;
    onPress?: GenericFn;
    style?: ViewStyle;
    displayItems?: (Attribute | Predicate)[];
    elevated?: boolean;
    credName?: string;
    credDefId?: string;
    schemaId?: string;
    proof?: boolean;
    credentialErrors: CredentialErrors[];
    hasAltCredentials?: boolean;
    handleAltCredChange?: () => void;
    brandingOverlay?: CredentialOverlay<BrandingOverlay>;
    brandingOverlayType?: BrandingOverlayType;
}
declare const CredentialCard11: React.FC<CredentialCard11Props>;
export default CredentialCard11;
//# sourceMappingURL=CredentialCard11.d.ts.map