import type { W3cCredentialDisplay } from './types';
import type { W3cCredentialRecord } from '@credo-ts/core';
import { SdJwtVcRecord } from '@credo-ts/core';
export interface DisplayImage {
    url?: string;
    altText?: string;
}
export interface CredentialMetadata {
    type: string;
    issuer: string;
    holder: string | Record<string, unknown>;
    validUntil?: string | Date;
    validFrom?: string | Date;
    issuedAt?: string | Date;
}
export declare function filterAndMapSdJwtKeys(sdJwtVcPayload: Record<string, unknown>): {
    visibleProperties: {
        [key: string]: unknown;
    };
    metadata: CredentialMetadata;
};
export declare function getCredentialForDisplay(credentialRecord: W3cCredentialRecord | SdJwtVcRecord): W3cCredentialDisplay;
//# sourceMappingURL=display.d.ts.map