import { CredentialExchangeRecord } from '@credo-ts/core';
import { AnonCredsProofRequestTemplatePayloadData, CredentialSharedProofData } from '@hyperledger/aries-bifold-verifier';
import { CredentialOverlay, Field, OCABundleResolverType } from '@hyperledger/aries-oca/build/legacy';
import { W3cCredentialDisplay } from '../modules/openid/types';
import { BrandingOverlay } from '@hyperledger/aries-oca';
export declare const buildFieldsFromAnonCredsCredential: (credential: CredentialExchangeRecord) => Array<Field>;
export declare const buildFieldsFromW3cCredsCredential: (value: W3cCredentialDisplay) => Array<Field>;
export declare const buildFieldsFromAnonCredsProofRequestTemplate: (data: AnonCredsProofRequestTemplatePayloadData) => Array<Field>;
export declare const buildFieldsFromSharedAnonCredsProof: (data: CredentialSharedProofData) => Array<Field>;
export declare const buildOverlayFromW3cCredential: ({ credentialDisplay, language, resolver, }: {
    credentialDisplay: W3cCredentialDisplay;
    language: string;
    resolver: OCABundleResolverType;
}) => Promise<CredentialOverlay<BrandingOverlay>>;
//# sourceMappingURL=oca.d.ts.map